package com.example.acapendulum20.fragments.pendulum

import android.annotation.SuppressLint
import android.os.Bundle
import android.os.SystemClock
import android.view.LayoutInflater
import android.view.MotionEvent
import android.view.View
import android.view.ViewGroup
import android.widget.Button
import androidx.fragment.app.Fragment
import com.example.acapendulum20.R
import com.example.acapendulum20.canvas.CanvasPendulum
import java.util.*


class PendulumFragment : Fragment() {

    @SuppressLint("ClickableViewAccessibility")
    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        // Inflate the layout for this fragment
        val view = inflater.inflate(R.layout.fragment_pendulum, container, false)
        val mCanvasPendulum: CanvasPendulum = view.findViewById(R.id.canvasContainer)!!

        //activate the magnet
        val button = view.findViewById<Button>(R.id.activate_btn)


        //button.setOnClickListener{
        //    mCanvasPendulum.startPendulum()
        //}


        button.setOnTouchListener(object : View.OnTouchListener{
            var pushed = false
            override fun onTouch(v: View?, event: MotionEvent?): Boolean {
                var steps: Int
                var startTime: Long
                if (event?.action == MotionEvent.ACTION_DOWN){
                    startTime = SystemClock.elapsedRealtime()
                    pushed = true
                    do {
                        mCanvasPendulum.startMagnet()
                        steps =- 1
                    }while (pushed)
                }

                if (event?.action == MotionEvent.ACTION_UP){
                    pushed = false
                    mCanvasPendulum.stopMagnet()
                    println("button action up")
                }
                return true
            }
        })


        //System.currentTimeMillis()
        //System.nanoTime()

        return view
    }
}